//
//  RSVP.swift
//  RSVPMessagesApp
//
//  Created by Mohammad Azam on 10/3/16.
//  Copyright © 2016 Mohammad Azam. All rights reserved.
//

import UIKit
import Messages

class RSVP: NSObject {

    var title :String!
    var yes :Int = 0
    var no :Int = 0 
 
    override init() {
        
        super.init()
    }
    
    init(queryItems :[URLQueryItem]) {
        
        for item in queryItems {
            
            guard let value = item.value else { continue }
            
            switch item.name {
            case "title":
                self.title = value
            case "yesCount":
                self.yes = Int(value)!
            case "noCount":
                self.no = Int(value)!
            default:
                continue
            }
        }
        
    }

    convenience init?(message :MSMessage) {
        
        guard let messageURL = message.url,
        let urlComponents = URLComponents(url: messageURL, resolvingAgainstBaseURL: false),
        let queryItems = urlComponents.queryItems else {
                   return nil
        }
        
        self.init(queryItems :queryItems)
        
    }
   
    
}
