//
//  RSVPCompactViewController.swift
//  RSVPMessagesApp
//
//  Created by Mohammad Azam on 10/2/16.
//  Copyright © 2016 Mohammad Azam. All rights reserved.
//

import Foundation
import UIKit

protocol RSVPCompactViewControllerDelegate : class {
    
    func rsvpCompactViewControllercreateRSVP()
    
}

class RSVPCompactViewController :UIViewController {
    
    weak var delegate :RSVPCompactViewControllerDelegate!
    
    @IBOutlet weak var rsvpButton :UIButton! 
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        setup()
    }
    
    @IBAction func createRSVPButtonPressed() {
        
        self.delegate.rsvpCompactViewControllercreateRSVP()
    }
    
    private func setup() {
        
        self.rsvpButton.layer.cornerRadius = 6.0
        self.rsvpButton.layer.masksToBounds = true
        self.rsvpButton.layer.borderWidth = 1.0
        self.rsvpButton.layer.borderColor = UIColor.white.cgColor
        self.rsvpButton.contentEdgeInsets = UIEdgeInsets(top: 10, left: 10, bottom: 10, right: 10)
    }
    
}
