//
//  RSVPSelectionViewController.swift
//  RSVPMessagesApp
//
//  Created by Mohammad Azam on 10/5/16.
//  Copyright © 2016 Mohammad Azam. All rights reserved.
//

import Foundation
import UIKit

protocol RSVPSelectionViewControllerDelegate : class {
    
    func rsvpSelectionViewControllerDidSelectYes(rsvp :RSVP)
    func rsvpSelectionViewControllerDidSelectNo(rsvp :RSVP)
    
}

class RSVPSelectionViewController : UIViewController {
    
    var rsvp :RSVP!
    weak var delegate :RSVPSelectionViewControllerDelegate!
    
    @IBOutlet weak var rsvpTitleLabel :UILabel!
    @IBOutlet weak var yesButton :UIButton!
    @IBOutlet weak var noButton :UIButton!
    
    override func viewDidLoad() {
        
        super.viewDidLoad()
        setup()
    }
    
    private func setup() {
        
        self.rsvpTitleLabel.text = rsvp.title
        
        self.yesButton.layer.cornerRadius = 6.0
        self.yesButton.layer.masksToBounds = true
        self.yesButton.layer.borderWidth = 1.0
        self.yesButton.layer.borderColor = UIColor.white.cgColor
        self.yesButton.contentEdgeInsets = UIEdgeInsets(top: 10, left: 10, bottom: 10, right: 10)
        
        self.noButton.layer.cornerRadius = 6.0
        self.noButton.layer.masksToBounds = true
        self.noButton.layer.borderWidth = 1.0
        self.noButton.layer.borderColor = UIColor.white.cgColor
        self.noButton.contentEdgeInsets = UIEdgeInsets(top: 10, left: 10, bottom: 10, right: 10)
    }
    
    @IBAction func yesButtonPressed() {
        
        self.rsvp.yes += 1
        self.delegate.rsvpSelectionViewControllerDidSelectYes(rsvp: self.rsvp)
    }
    
    @IBAction func noButtonPressed() {
        
        self.rsvp.no += 1
        self.delegate.rsvpSelectionViewControllerDidSelectNo(rsvp: self.rsvp)
    }
    
    
    
}
